Subject: bug#7085: fmt (GNU coreutils) 6.10

From: Bob Proulx <[email-masked]>
Date: Mon, 27 Sep 2010 21:28:00 -0600

William Plusnick wrote:
> The reason I sent this to everyone and not just Denis Wilson is that I
> wanted to be able to point to it in the future if people want this feature
> and are willing to risk future incompatibility.

Isn't the more modular flow that Eric suggested more in keeping with
the Unix philosophy and the better solution?  If you want to do both
stripping of carriage returns and word wrapping together then you can
pipe them together.

  tr -d '\r' < somefile | fmt

Or if you are calling it as a stdin filter such as within an editor:

  tr -d '\r' | fmt

Bob